Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile Class Reference

`#include <IOPC.h>`

Inheritance diagram for IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile:

[legend]
Collaboration diagram for IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile (void)
| _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile (CORBA::ULong maximum, CORBA::ULong length, TaggedComponent *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile (const _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile &rhs)
_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile & | operator= (const _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile &rhs)
virtual | ~_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile (void)
TaggedComponent & | operator[] (CORBA::ULong i)
const TaggedComponent & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero. More...
TaggedComponent * | get_buffer (CORBA::Boolean orphan=0)
const TaggedComponent * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, TaggedComponent *data, CORBA::Boolean release)
## Static Public Methods
TaggedComponent * | allocbuf (CORBA::ULong size)
void | freebuf (TaggedComponent *buffer)

## Constructor & Destructor Documentation

IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile | ( | void |  | ) |

IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile | ( | CORBA::ULong | maximum | ) |

IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | TaggedComponent * | data,
|  | CORBA::Boolean | release = 0
| ) |

IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile | ( | const _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile & | rhs | ) |

IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::~_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

TaggedComponent* IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::freebuf | ( | TaggedComponent * | buffer | ) | `[static]`

const TaggedComponent* IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::get_buffer | ( | void |  | ) | const

TaggedComponent* IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile& IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::operator= | ( | const _TAO_Unbounded_Sequence_IOP_MultipleComponentProfile & | rhs | ) |

const TaggedComponent& IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::operator[] | ( | CORBA::ULong | i | ) | const

TaggedComponent& IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::operator[] | ( | CORBA::ULong | i | ) |

void IOP::_TAO_Unbounded_Sequence_IOP_MultipleComponentProfile::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | TaggedComponent * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- IOPC.h
- IOPC.cpp